Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

# Enum NamePrefix2Code

java.lang.Object
java.lang.Enum<NamePrefix2Code>
org.kapott.hbci.sepa.jaxb.pain_008_001_08.NamePrefix2Code

All Implemented Interfaces:
  `Serializable`, `Comparable<NamePrefix2Code>`, `java.lang.constant.Constable`

public enum NamePrefix2Code extends Enum<NamePrefix2Code>

Java class for NamePrefix2Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="NamePrefix2Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="DOCT"/>
         <enumeration value="MADM"/>
         <enumeration value="MISS"/>
         <enumeration value="MIST"/>
         <enumeration value="MIKS"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOCT`
`MADM`
`MIKS`
`MISS`
`MIST`

## Method Summary

Modifier and Type
Method
Description
`static NamePrefix2Code`
`fromValue(String v)`
`String`
`value()`
`static NamePrefix2Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NamePrefix2Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOCT

public static final NamePrefix2Code DOCT

### MADM

public static final NamePrefix2Code MADM

### MISS

public static final NamePrefix2Code MISS

### MIST

public static final NamePrefix2Code MIST

### MIKS

public static final NamePrefix2Code MIKS

## Method Details

### values

public static NamePrefix2Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static NamePrefix2Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static NamePrefix2Code fromValue(String v)